Skip to content

Configure SQS Notifications for a device​

GET
/devices/{id}/setupSqsForwarding

Configure SQS Notifications for a device.

There is a full guide written for this endpoint.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Example1234
Format
"integer"

Query Parameters

sqsArn
Type
string
Example"arn:aws:sqs:us-east-1:123456789012:my-queue"
types
Type
array
Format
"list"

Request example

Responses​

Request was successful

application/json
JSON
{
  
"status": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
  version: 1.1.0
  title: TrackingAPI
  description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
  - url: https://api.lightbug.cloud/api
externalDocs: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /devices/{id}/setupSqsForwarding:
    get:
      tags:
        - device-config
      parameters:
        - name: id
          in: path
          description: device id
          required: true
          schema:
            type: number
            format: integer
          example: 1234
        - name: sqsArn
          in: query
          required: false
          schema:
            type: string
          example: arn:aws:sqs:us-east-1:123456789012:my-queue
        - name: types
          in: query
          required: false
          schema:
            type: array
            format: list
      responses:
'200':
yaml
          description: Request was successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
yaml
      deprecated: false
      security:
        - ApiKeyAuth: []
      operationId: get-devices-id-setupSqsForwarding
      summary: Configure SQS Notifications for a device
      description: |-
        Configure SQS Notifications for a device.

        There is a [full guide](/guides/notifications-setup-sqs) written for this endpoint.
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...